Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class DsGetDC.DS_DOMAIN_TRUSTS

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.DsGetDC.DS_DOMAIN_TRUSTS

Direct Known Subclasses:
  DsGetDC.DS_DOMAIN_TRUSTS.ByReference

Enclosing interface:
  DsGetDC

    public static class DsGetDC.DS_DOMAIN_TRUSTS

extends com.sun.jna.Structure

The DS_DOMAIN_TRUSTS structure is used with the DsEnumerateDomainTrusts function to contain trust data for a domain.

Nested Class Summary
`static class` | `DsGetDC.DS_DOMAIN_TRUSTS.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.WString` | `DnsDomainName` Pointer to a null-terminated string that contains the DNS name of the domain.
`Guid.GUID` | `DomainGuid` Contains the GUID of the domain represented by this structure.
`WinNT.PSID.ByReference` | `DomainSid` Contains the security identifier of the domain represented by this structure.
`com.sun.jna.NativeLong` | `Flags` Contains a set of flags that specify more data about the domain trust.
`com.sun.jna.WString` | `NetbiosDomainName` Pointer to a null-terminated string that contains the NetBIOS name of the domain.
`com.sun.jna.NativeLong` | `ParentIndex` Contains the index in the Domains array returned by the DsEnumerateDomainTrusts function that corresponds to the parent domain of the domain represented by this structure.
`com.sun.jna.NativeLong` | `TrustAttributes` Contains a value that indicates the attributes of the trust represented by this structure.
`com.sun.jna.NativeLong` | `TrustType` Contains a value that indicates the type of trust represented by this structure.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`DsGetDC.DS_DOMAIN_TRUSTS()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NetbiosDomainName

    public com.sun.jna.WString NetbiosDomainName

  Pointer to a null-terminated string that contains the NetBIOS name of the domain.

### DnsDomainName

    public com.sun.jna.WString DnsDomainName

  Pointer to a null-terminated string that contains the DNS name of the domain. This member may be NULL.

### Flags

    public com.sun.jna.NativeLong Flags

  Contains a set of flags that specify more data about the domain trust.

### ParentIndex

    public com.sun.jna.NativeLong ParentIndex

  Contains the index in the Domains array returned by the DsEnumerateDomainTrusts function that corresponds to the parent domain of the domain represented by this structure.

### TrustType

    public com.sun.jna.NativeLong TrustType

  Contains a value that indicates the type of trust represented by this structure.

### TrustAttributes

    public com.sun.jna.NativeLong TrustAttributes

  Contains a value that indicates the attributes of the trust represented by this structure.

### DomainSid

    public WinNT.PSID.ByReference DomainSid

  Contains the security identifier of the domain represented by this structure.

### DomainGuid

    public Guid.GUID DomainGuid

  Contains the GUID of the domain represented by this structure.

Constructor Detail

### DsGetDC.DS_DOMAIN_TRUSTS

    public DsGetDC.DS_DOMAIN_TRUSTS()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD